Unable to open Driver Manager

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
jricci1
Level 1
Level 1
Posts: 1
Joined: Wed Aug 14, 2019 2:29 pm

Unable to open Driver Manager

Post by jricci1 » Wed Aug 14, 2019 2:36 pm

Tried to open the Driver manager from settings and it lets me put my super user password but then it brakes.
Then tried to opened from console with 'gksudo driver-manager' or 'driver-manager' and in both cases after inserting my password it throws the following error:

Code: Select all

Post-install mode detected
Checking connectivity or live media...
Internet connection detected
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'org.debian.apt': no such name
During handling of the above exception, another exception occurred:

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintdrivers/mintdrivers.py", line 598, in <module>
    Application()
  File "/usr/lib/linuxmint/mintdrivers/mintdrivers.py", line 79, in __init__
    self.check_internet_or_live_dvd()
  File "/usr/lib/linuxmint/mintdrivers/mintdrivers.py", line 145, in check_internet_or_live_dvd
    self.update_cache()
  File "/usr/lib/linuxmint/mintdrivers/mintdrivers.py", line 88, in update_cache
    self.update_transaction = self.apt_client.update_cache()
  File "/usr/lib/python3/dist-packages/defer/utils.py", line 107, in _deferable
    return func(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/aptdaemon/errors.py", line 200, in _convert_dbus_exception
    raise get_native_exception(error)
  File "/usr/lib/python3/dist-packages/aptdaemon/errors.py", line 198, in _convert_dbus_exception
    return func(*args, **kwargs)
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1491, in update_cache
    reply_handler, error_handler)
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1598, in _run_transaction
    deferred.result.raise_exception()
  File "/usr/lib/python3/dist-packages/defer/__init__.py", line 130, in raise_exception
    raise self.value.with_traceback(self.traceback)
  File "/usr/lib/python3/dist-packages/defer/__init__.py", line 487, in _inline_callbacks
    result = gen.send(result)
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1613, in _run_transaction_helper
    daemon = get_aptdaemon(self.bus)
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 1701, in get_aptdaemon
    False),
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.Spawn.ChildExited: Launch helper exited with unknown return code 1

Post Reply

Return to “Software & Applications”